Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 51)
@@ -95,10 +95,13 @@
     </Reference>
     <Reference Include="Microsoft.VisualBasic" />
     <Reference Include="Microsoft.VisualBasic.PowerPacks.Vs, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
-    <Reference Include="MySql.Data, Version=6.9.9.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL" />
+    <Reference Include="MySql.Data, Version=6.9.9.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>lib\MySql.Data.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
-    <Reference Include="System.ComponentModel.DataAnnotations" />
     <Reference Include="System.Core" />
+    <Reference Include="System.IO.Compression.FileSystem" />
     <Reference Include="System.Windows.Forms.DataVisualization" />
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data" />
@@ -108,6 +111,7 @@
     <Reference Include="System.Xml" />
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Common\CommonVersion.cs" />
     <Compile Include="Common\Process\ClsCalendar.cs" />
     <Compile Include="Common\Process\ClsChangeBaseInfoData.cs" />
     <Compile Include="Common\Process\ClsCleanUp.cs" />
@@ -125,9 +129,28 @@
     <Compile Include="Common\Process\ClsExcute.cs" />
     <Compile Include="Common\CommonDefine.cs" />
     <Compile Include="Common\Office\UsedWord.cs" />
+    <Compile Include="DataModel\AttendanceData.cs" />
+    <Compile Include="DataModel\BankBusinessDayMaster.cs" />
+    <Compile Include="DataModel\BillingData.cs" />
+    <Compile Include="DataModel\BillingDataDetail.cs" />
+    <Compile Include="DataModel\BillingPaymentSummary.cs" />
+    <Compile Include="DataModel\ConstructionFieldNameDetail.cs" />
+    <Compile Include="DataModel\ConstructionFieldNameHeader.cs" />
     <Compile Include="DataModel\ConstructionLink.cs" />
+    <Compile Include="DataModel\ConstructionMaterialInfo.cs" />
+    <Compile Include="DataModel\DeadLineMaster.cs" />
+    <Compile Include="DataModel\DepositApprovalInfo.cs" />
+    <Compile Include="DataModel\DepositData.cs" />
+    <Compile Include="DataModel\DepositDataDetail.cs" />
+    <Compile Include="DataModel\MaterialInfo.cs" />
+    <Compile Include="DataModel\MaterialItemMaster.cs" />
+    <Compile Include="DataModel\MaterialKindMaster.cs" />
+    <Compile Include="DataModel\MaterialRecordInfo.cs" />
     <Compile Include="DataModel\OrdersPriceData.cs" />
-    <Compile Include="DataModel\DailyData.cs" />
+    <Compile Include="DataModel\PaymentApprovalInfo.cs" />
+    <Compile Include="DataModel\PaymentDataDetail.cs" />
+    <Compile Include="DataModel\PersonDepartmentMaster.cs" />
+    <Compile Include="DataModel\PersonSalaryMaster.cs" />
     <Compile Include="DataModel\ProceedingsDataDetail.cs" />
     <Compile Include="DataModel\ProceedingsDataAttendee.cs" />
     <Compile Include="DataModel\ProceedingsData.cs" />
@@ -148,15 +171,64 @@
     <Compile Include="DataModel\ConstructionLedger.cs" />
     <Compile Include="DataModel\CostDataOfPerson.cs" />
     <Compile Include="DataModel\DailyReportRow.cs" />
+    <Compile Include="DataModel\ProcessApprovalDetail.cs" />
+    <Compile Include="DataModel\ProcessExcuter.cs" />
+    <Compile Include="DataModel\RequestData.cs" />
+    <Compile Include="DataModel\RequestDataDetail.cs" />
+    <Compile Include="DataModel\RequestGridKeys.cs" />
+    <Compile Include="DataModel\RequestTotalData.cs" />
     <Compile Include="DataModel\SubContractorJobCategory.cs" />
     <Compile Include="DataModel\SubContractorJobILink.cs" />
     <Compile Include="DataModel\SuppliersMaster.cs" />
+    <Compile Include="DataModel\SecurityMaster.cs" />
+    <Compile Include="DB\IOAccess\IOAttendanceData.cs" />
+    <Compile Include="DB\IOAccess\IOBankBusinessDayMaster.cs" />
+    <Compile Include="DB\IOAccess\IOBillingData.cs" />
+    <Compile Include="DB\IOAccess\IOBillingDataDetail.cs" />
+    <Compile Include="DB\IOAccess\IOBillingPaymentSummary.cs" />
     <Compile Include="DB\IOAccess\IOConstructionLink.cs" />
+    <Compile Include="DB\IOAccess\IOConstructionMaterialInfo.cs" />
+    <Compile Include="DB\IOAccess\IODeadLineMaster.cs" />
+    <Compile Include="DB\IOAccess\IODepositApprovalInfo.cs" />
+    <Compile Include="DB\IOAccess\IODepositData.cs" />
+    <Compile Include="DB\IOAccess\IODepositDataDetail.cs" />
+    <Compile Include="DB\IOAccess\IOMaterialInfo.cs" />
+    <Compile Include="DB\IOAccess\IOMaterialItem.cs" />
+    <Compile Include="DB\IOAccess\IOMaterialRecordInfo.cs" />
+    <Compile Include="DB\IOAccess\IOMaterialTypes.cs" />
+    <Compile Include="DB\IOAccess\IOMPersonDepartment.cs" />
+    <Compile Include="DB\IOAccess\IOMPersonSalary.cs" />
+    <Compile Include="DB\IOAccess\IOMSecurity.cs" />
+    <Compile Include="DB\IOAccess\IOMProcessExcute.cs" />
     <Compile Include="DB\IOAccess\IOOrdersPriceData.cs" />
+    <Compile Include="DB\IOAccess\IOPaymentApprovalInfo.cs" />
+    <Compile Include="DB\IOAccess\IOPaymentDataDetail.cs" />
+    <Compile Include="DB\IOAccess\IOProcessApprovalDetail.cs" />
+    <Compile Include="DB\IOAccess\IORequestData.cs" />
+    <Compile Include="DB\IOAccess\IORequestDataDetail.cs" />
+    <Compile Include="DB\IOAccess\IORequestTotalData.cs" />
     <Compile Include="DB\MySql\MySqlProcess.cs" />
     <Compile Include="Forms\DataEntry\ConstructionBaseInfo\DataChange.cs">
       <SubType>Form</SubType>
     </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionJoin\FrmConstructionJoin.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionJoin\FrmConstructionJoin.Designer.cs">
+      <DependentUpon>FrmConstructionJoin.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionJoin\FrmConstructionJoinAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionJoin\FrmJoinSelect.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionJoin\FrmJoinSelect.designer.cs">
+      <DependentUpon>FrmJoinSelect.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionSplit\FrmConstructionSplitAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\DepExpenssList\FrmDepExpenssList.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -172,15 +244,45 @@
     <Compile Include="Forms\DataEntry\ConstructionLedger\FrmSelectPerson.Designer.cs">
       <DependentUpon>FrmSelectPerson.cs</DependentUpon>
     </Compile>
-    <Compile Include="Forms\DataEntry\ConstructionPersonList\FrmConstructionPersonList.cs">
+    <Compile Include="Forms\DataEntry\DRConstruction\PrintCommon.cs">
       <SubType>Form</SubType>
     </Compile>
-    <Compile Include="Forms\DataEntry\ConstructionPersonList\FrmConstructionPersonList.designer.cs">
-      <DependentUpon>FrmConstructionPersonList.cs</DependentUpon>
+    <Compile Include="Forms\DataEntry\DRConstruction\PrintFormat.cs">
+      <SubType>Form</SubType>
     </Compile>
-    <Compile Include="Forms\DataEntry\ConstructionPersonList\FrmConstructionPersonListAuxiliary.cs">
+    <Compile Include="Forms\DataEntry\Material\MaterialCountEntry\FrmMaterialCountEntry.cs">
       <SubType>Form</SubType>
     </Compile>
+    <Compile Include="Forms\DataEntry\Material\MaterialCountEntry\FrmMaterialCountEntry.designer.cs">
+      <DependentUpon>FrmMaterialCountEntry.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Material\MaterialReserveEntry\FrmMaterialReserveEntry.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Material\MaterialReserveEntry\FrmMaterialReserveEntry.designer.cs">
+      <DependentUpon>FrmMaterialReserveEntry.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Material\MaterialReserveEntry\ProcessControl.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Material\MaterialReturnEntry\FrmMaterialReturnEntry.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Material\MaterialReturnEntry\FrmMaterialReturnEntry.designer.cs">
+      <DependentUpon>FrmMaterialReturnEntry.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Material\MaterialReturnEntry\ProcessControl.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\PurchaseOrderEntry\FrmOrderEntryList.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\PurchaseOrderEntry\FrmOrderEntryList.Designer.cs">
+      <DependentUpon>FrmOrderEntryList.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\PurchaseOrderEntry\FrmOrderEntryListAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\PurchaseOrderEntry\PurchaseOrderInputPage.cs" />
     <Compile Include="DataModel\PurchaseOrderDetail.cs" />
     <Compile Include="DataModel\PurchaseOrder.cs" />
@@ -223,7 +325,6 @@
     <Compile Include="DB\IOAccess\IOConstructionLedgerExcute.cs" />
     <Compile Include="DB\IOAccess\IOConstructionLedgerDetail.cs" />
     <Compile Include="DB\IOAccess\IOConstructionLedger.cs" />
-    <Compile Include="DB\IOAccess\IODailyData.cs" />
     <Compile Include="DB\IOAccess\IOMSubContractorJobLink.cs" />
     <Compile Include="DB\IOAccess\IOProceedingsDataDetail.cs" />
     <Compile Include="DB\IOAccess\IOProceedingsDataAttendee.cs" />
@@ -289,29 +390,6 @@
     <Compile Include="Forms\CustomControls\TextBoxEX.cs">
       <SubType>Component</SubType>
     </Compile>
-    <Compile Include="Forms\DataEntry\DailyReportList\FrmDailyReportList.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Forms\DataEntry\DailyReportList\FrmDailyReportList.designer.cs" />
-    <Compile Include="Forms\DataEntry\DailyReportList\FrmDailyReportListAuxiliary.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Forms\DataEntry\DailyReport\DailyReportInputPage.cs" />
-    <Compile Include="Forms\DataEntry\DailyReport\FrmDailyReport.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Forms\DataEntry\DailyReport\FrmDailyReport.designer.cs">
-      <DependentUpon>FrmDailyReport.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Forms\DataEntry\DailyReport\FrmDailyReportAuxiliary.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Forms\DataEntry\DailyReport\NewPage.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Forms\DataEntry\DailyReport\ProcessControl.cs">
-      <SubType>Form</SubType>
-    </Compile>
     <Compile Include="Forms\DataEntry\DRConstruction\ProcessControl.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -396,6 +474,75 @@
     <Compile Include="Forms\DataEntry\DRTransport\FrmDRTransport.Designer.cs">
       <DependentUpon>FrmDRTransport.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\DataEntry\PurchaseOrderStatus\FrmPurchaseOrderStatus.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\PurchaseOrderStatus\FrmPurchaseOrderStatus.designer.cs">
+      <DependentUpon>FrmPurchaseOrderStatus.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\PurchaseOrderStatus\FrmPurchaseOrderStatusAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\FrmRegField.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\FrmRegField.Designer.cs">
+      <DependentUpon>FrmRegField.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\FrmSelectField.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\FrmSelectField.Designer.cs">
+      <DependentUpon>FrmSelectField.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\FrmSelectRegField.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\FrmSelectRegField.Designer.cs">
+      <DependentUpon>FrmSelectRegField.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\FrmSelectRequest.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\FrmSelectRequest.Designer.cs">
+      <DependentUpon>FrmSelectRequest.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestInput\FrmRequestInput.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestInput\FrmRequestInput.Designer.cs">
+      <DependentUpon>FrmRequestInput.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestInput\FrmRequestInputAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestInput\FrmRequestInputDefinitions.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestInput\ProcessControl.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestSummaryList\FrmRequestSummaryList.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestSummaryList\FrmRequestSummaryList.designer.cs">
+      <DependentUpon>FrmRequestSummaryList.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\RequestSummaryList\FrmRequestSummaryListAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\SelectPayment\FrmSelectPayment.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\SelectPayment\FrmSelectPayment.Designer.cs">
+      <DependentUpon>FrmSelectPayment.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\StatusAndDateReq.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\StatusAndDateReq.Designer.cs">
+      <DependentUpon>StatusAndDateReq.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\DataEntry\TAndPCosts\FrmSelectPaymentDay.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -411,6 +558,36 @@
     <Compile Include="Forms\DataEntry\TAndPCosts\FrmTAndPCosts.Designer.cs">
       <DependentUpon>FrmTAndPCosts.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\Master\Material\MaterialItemsMaster\FrmMaterialItemsMaster.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\Master\Material\MaterialItemsMaster\FrmMaterialItemsMaster.designer.cs">
+      <DependentUpon>FrmMaterialItemsMaster.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\Master\Material\MaterialTypesMaster\FrmMaterialTypesMaster.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\Master\Material\MaterialTypesMaster\FrmMaterialTypesMaster.designer.cs">
+      <DependentUpon>FrmMaterialTypesMaster.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\Master\PersonInCharge\FrmPersonInChargeAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\Master\Security\FrmSecurityAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\Master\Security\FrmSecurity.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\Master\Security\FrmSecurity.designer.cs">
+      <DependentUpon>FrmSecurity.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\Master\Security\FrmSecurityPerson.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\Master\Security\FrmSecurityPerson.Designer.cs">
+      <DependentUpon>FrmSecurityPerson.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\Master\SubContractorJob\FrmSubContractorJobCategory.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -417,6 +594,9 @@
     <Compile Include="Forms\Master\SubContractorJob\FrmSubContractorJobCategory.designer.cs">
       <DependentUpon>FrmSubContractorJobCategory.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\Master\SubContractor\FrmSubContractorAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\Master\Suppliers\FrmSuppliers.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -423,6 +603,30 @@
     <Compile Include="Forms\Master\Suppliers\FrmSuppliers.designer.cs">
       <DependentUpon>FrmSuppliers.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\SubForms\FrmRequestPrint.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmRequestPrint.Designer.cs">
+      <DependentUpon>FrmRequestPrint.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmVehicleSelector.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmVehicleSelector.Designer.cs">
+      <DependentUpon>FrmVehicleSelector.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmPrintConfirmation.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmPrintConfirmation.Designer.cs">
+      <DependentUpon>FrmPrintConfirmation.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmTyingConstrDiag.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmTyingConstrDiag.Designer.cs">
+      <DependentUpon>FrmTyingConstrDiag.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\SubForms\FrmPriceOfBudget.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -435,6 +639,12 @@
     <Compile Include="Forms\SubForms\FrmNumberOfWorkers.Designer.cs">
       <DependentUpon>FrmNumberOfWorkers.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\SubForms\FrmChangeExpenses.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmChangeExpenses.Designer.cs">
+      <DependentUpon>FrmChangeExpenses.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\SubForms\FrmValueOfOrder.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -741,10 +951,10 @@
     <Compile Include="Forms\SubForms\FrmApprovalAuthorizerList.Designer.cs">
       <DependentUpon>FrmApprovalAuthorizerList.cs</DependentUpon>
     </Compile>
-    <Compile Include="Forms\SubForms\FrmNewOrContinueCopy.cs">
+    <Compile Include="Forms\DataEntry\CopyTargetList\FrmNewOrContinueCopy.cs">
       <SubType>Form</SubType>
     </Compile>
-    <Compile Include="Forms\SubForms\FrmNewOrContinueCopy.Designer.cs">
+    <Compile Include="Forms\DataEntry\CopyTargetList\FrmNewOrContinueCopy.Designer.cs">
       <DependentUpon>FrmNewOrContinueCopy.cs</DependentUpon>
     </Compile>
     <Compile Include="Forms\SubForms\FrmStatusAndDate.cs">
@@ -777,6 +987,30 @@
     <Compile Include="Forms\SubForms\FrmActionCalendar.Designer.cs">
       <DependentUpon>FrmActionCalendar.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionSplit\FrmConstructionSplit.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionSplit\FrmConstructionSplit.Designer.cs">
+      <DependentUpon>FrmConstructionSplit.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\SubForms\Material\FrmMaterialHistory.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\Material\FrmMaterialHistory.designer.cs">
+      <DependentUpon>FrmMaterialHistory.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\SubForms\Material\FrmMaterialList.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\Material\FrmMaterialList.designer.cs">
+      <DependentUpon>FrmMaterialList.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\SubForms\Material\FrmMaterialSelect.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\Material\FrmMaterialSelect.designer.cs">
+      <DependentUpon>FrmMaterialSelect.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\ZMenu\FrmChangePassword.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -911,6 +1145,12 @@
     <EmbeddedResource Include="Forms\CustomControls\DataGridViewEX.resx">
       <DependentUpon>DataGridViewEX.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\ConstructionJoin\FrmConstructionJoin.resx">
+      <DependentUpon>FrmConstructionJoin.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\ConstructionJoin\FrmJoinSelect.resx">
+      <DependentUpon>FrmJoinSelect.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\DepExpenssList\FrmDepExpenssList.resx">
       <DependentUpon>FrmDepExpenssList.cs</DependentUpon>
     </EmbeddedResource>
@@ -917,12 +1157,6 @@
     <EmbeddedResource Include="Forms\DataEntry\ConstructionLedger\FrmSelectPerson.resx">
       <DependentUpon>FrmSelectPerson.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="Forms\DataEntry\ConstructionPersonList\FrmConstructionPersonList.resx">
-      <DependentUpon>FrmConstructionPersonList.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Forms\DataEntry\DailyReport\FrmDailyReport.resx">
-      <DependentUpon>FrmDailyReport.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\DRList\FrmDRList.resx">
       <DependentUpon>FrmDRList.cs</DependentUpon>
     </EmbeddedResource>
@@ -941,6 +1175,15 @@
     <EmbeddedResource Include="Forms\DataEntry\DRWork\FrmDRWork.resx">
       <DependentUpon>FrmDRWork.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Material\MaterialCountEntry\FrmMaterialCountEntry.resx">
+      <DependentUpon>FrmMaterialCountEntry.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Material\MaterialReserveEntry\FrmMaterialReserveEntry.resx">
+      <DependentUpon>FrmMaterialReserveEntry.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Material\MaterialReturnEntry\FrmMaterialReturnEntry.resx">
+      <DependentUpon>FrmMaterialReturnEntry.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\Proceedings\FrmProceedings.resx">
       <DependentUpon>FrmProceedings.cs</DependentUpon>
     </EmbeddedResource>
@@ -947,6 +1190,36 @@
     <EmbeddedResource Include="Forms\DataEntry\DRTransport\FrmDRTransport.resx">
       <DependentUpon>FrmDRTransport.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\PurchaseOrderEntry\FrmOrderEntryList.resx">
+      <DependentUpon>FrmOrderEntryList.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\PurchaseOrderStatus\FrmPurchaseOrderStatus.resx">
+      <DependentUpon>FrmPurchaseOrderStatus.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\FrmRegField.resx">
+      <DependentUpon>FrmRegField.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\FrmSelectField.resx">
+      <DependentUpon>FrmSelectField.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\FrmSelectRegField.resx">
+      <DependentUpon>FrmSelectRegField.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\FrmSelectRequest.resx">
+      <DependentUpon>FrmSelectRequest.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\RequestInput\FrmRequestInput.resx">
+      <DependentUpon>FrmRequestInput.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\RequestSummaryList\FrmRequestSummaryList.resx">
+      <DependentUpon>FrmRequestSummaryList.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\SelectPayment\FrmSelectPayment.resx">
+      <DependentUpon>FrmSelectPayment.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\StatusAndDateReq.resx">
+      <DependentUpon>StatusAndDateReq.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\TAndPCosts\FrmSelectPaymentDay.resx">
       <DependentUpon>FrmSelectPaymentDay.cs</DependentUpon>
     </EmbeddedResource>
@@ -953,6 +1226,18 @@
     <EmbeddedResource Include="Forms\DataEntry\TAndPCosts\FrmTAndPCosts.resx">
       <DependentUpon>FrmTAndPCosts.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\Master\Material\MaterialItemsMaster\FrmMaterialItemsMaster.resx">
+      <DependentUpon>FrmMaterialItemsMaster.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\Master\Material\MaterialTypesMaster\FrmMaterialTypesMaster.resx">
+      <DependentUpon>FrmMaterialTypesMaster.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\Master\Security\FrmSecurity.resx">
+      <DependentUpon>FrmSecurity.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\Master\Security\FrmSecurityPerson.resx">
+      <DependentUpon>FrmSecurityPerson.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\Master\SubContractorJob\FrmSubContractorJobCategory.resx">
       <DependentUpon>FrmSubContractorJobCategory.cs</DependentUpon>
     </EmbeddedResource>
@@ -959,6 +1244,18 @@
     <EmbeddedResource Include="Forms\Master\Suppliers\FrmSuppliers.resx">
       <DependentUpon>FrmSuppliers.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\FrmRequestPrint.resx">
+      <DependentUpon>FrmRequestPrint.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\FrmVehicleSelector.resx">
+      <DependentUpon>FrmVehicleSelector.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\FrmPrintConfirmation.resx">
+      <DependentUpon>FrmPrintConfirmation.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\FrmTyingConstrDiag.resx">
+      <DependentUpon>FrmTyingConstrDiag.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\SubForms\FrmPriceOfBudget.resx">
       <DependentUpon>FrmPriceOfBudget.cs</DependentUpon>
     </EmbeddedResource>
@@ -965,6 +1262,9 @@
     <EmbeddedResource Include="Forms\SubForms\FrmNumberOfWorkers.resx">
       <DependentUpon>FrmNumberOfWorkers.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\FrmChangeExpenses.resx">
+      <DependentUpon>FrmChangeExpenses.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\SubForms\FrmValueOfOrder.resx">
       <DependentUpon>FrmValueOfOrder.cs</DependentUpon>
     </EmbeddedResource>
@@ -1003,7 +1303,6 @@
     </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\PurchaseOrderEntry\FrmImage.resx">
       <DependentUpon>FrmImage.cs</DependentUpon>
-      <SubType>Designer</SubType>
     </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\PurchaseOrderEntry\FrmPurchaseOrderEntry.resx">
       <DependentUpon>FrmPurchaseOrderEntry.cs</DependentUpon>
@@ -1062,7 +1361,7 @@
     <EmbeddedResource Include="Forms\SubForms\FrmApprovalAuthorizerList.resx">
       <DependentUpon>FrmApprovalAuthorizerList.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="Forms\SubForms\FrmNewOrContinueCopy.resx">
+    <EmbeddedResource Include="Forms\DataEntry\CopyTargetList\FrmNewOrContinueCopy.resx">
       <DependentUpon>FrmNewOrContinueCopy.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="Forms\SubForms\FrmStatusAndDate.resx">
@@ -1080,6 +1379,18 @@
     <EmbeddedResource Include="Forms\SubForms\FrmActionCalendar.resx">
       <DependentUpon>FrmActionCalendar.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\ConstructionSplit\FrmConstructionSplit.resx">
+      <DependentUpon>FrmConstructionSplit.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\Material\FrmMaterialHistory.resx">
+      <DependentUpon>FrmMaterialHistory.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\Material\FrmMaterialList.resx">
+      <DependentUpon>FrmMaterialList.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\Material\FrmMaterialSelect.resx">
+      <DependentUpon>FrmMaterialSelect.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\ZMenu\FrmChangePassword.resx">
       <DependentUpon>FrmChangePassword.cs</DependentUpon>
     </EmbeddedResource>
@@ -1088,7 +1399,6 @@
     </EmbeddedResource>
     <EmbeddedResource Include="Forms\ZMenu\FrmLogin.resx">
       <DependentUpon>FrmLogin.cs</DependentUpon>
-      <SubType>Designer</SubType>
     </EmbeddedResource>
     <EmbeddedResource Include="Forms\Master\ComponentLink\FrmComponentLink.resx">
       <DependentUpon>FrmComponentLink.cs</DependentUpon>
@@ -1154,6 +1464,8 @@
       <DependentUpon>Resources.resx</DependentUpon>
       <DesignTime>True</DesignTime>
     </Compile>
+    <None Include="DB\Core\ABaseDBProcess.cs.bak" />
+    <None Include="DB\Core\DBCommon.cs.bak" />
     <None Include="ProcessManage001.doc">
       <CopyToOutputDirectory>Always</CopyToOutputDirectory>
     </None>
@@ -1180,6 +1492,7 @@
     </Compile>
   </ItemGroup>
   <ItemGroup>
+    <Folder Include="Forms\SystemFrm\" />
     <Folder Include="Utility\" />
   </ItemGroup>
   <ItemGroup>
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user	(revision 51)
@@ -5,4 +5,7 @@
     </ReferencePath>
     <ProjectView>ProjectFiles</ProjectView>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|AnyCPU'">
+    <StartArguments>/NOCHECK</StartArguments>
+  </PropertyGroup>
 </Project>
\ No newline at end of file
